Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Platform » On latest updates( Reason: Missing Constraint)
On latest updates [message #498297] Mon, 16 November 2009 12:00 Go to next message
Arvind  is currently offline Arvind Friend
Messages: 2
Registered: November 2009
Junior Member
Recently i updated my eclipse galileo , after that i cant able to start it. I am getting the followin error message. Iam using fedora 6 , jvm 6.. Wat is the problem please any one help me in solving it.

org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Require-Bundle: org.eclipse.equinox.p2.core; bundle-version="1.0.100"
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolverError(AbstractBundle.java:1313)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolutionFailureException(AbstractBundle.java:1297)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:309)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:280)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:272)
at org.eclipse.equinox.internal.simpleconfigurator.ConfigApplie r.startBundles(Unknown Source)
at org.eclipse.equinox.internal.simpleconfigurator.ConfigApplie r.install(Unknown Source)
at org.eclipse.equinox.internal.simpleconfigurator.SimpleConfig uratorImpl.applyConfiguration(Unknown Source)
at org.eclipse.equinox.internal.simpleconfigurator.SimpleConfig uratorImpl.applyConfiguration(Unknown Source)
at org.eclipse.equinox.internal.simpleconfigurator.Activator.st art(Unknown Source)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1 .run(BundleContextImpl.java:783)
at java.security.AccessController.doPrivileged(Native Method)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tartActivator(BundleContextImpl.java:774)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tart(BundleContextImpl.java:755)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:352)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:370)
at org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1068)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:557)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:464)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:248)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:445)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:227)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:337)
org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Require-Bundle: org.eclipse.equinox.common; bundle-version="[3.5.0,4.0.0)"
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolverError(AbstractBundle.java:1313)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolutionFailureException(AbstractBundle.java:1297)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:309)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:280)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:272)
at org.eclipse.equinox.internal.simpleconfigurator.ConfigApplie r.startBundles(Unknown Source)
at org.eclipse.equinox.internal.simpleconfigurator.ConfigApplie r.install(Unknown Source)
at org.eclipse.equinox.internal.simpleconfigurator.SimpleConfig uratorImpl.applyConfiguration(Unknown Source)
at org.eclipse.equinox.internal.simpleconfigurator.SimpleConfig uratorImpl.applyConfiguration(Unknown Source)
at org.eclipse.equinox.internal.simpleconfigurator.Activator.st art(Unknown Source)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1 .run(BundleContextImpl.java:783)
at java.security.AccessController.doPrivileged(Native Method)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tartActivator(BundleContextImpl.java:774)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tart(BundleContextImpl.java:755)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:352)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:370)
at org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1068)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:557)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:464)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:248)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:445)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:227)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:337)
org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Require-Bundle: org.eclipse.equinox.common; bundle-version="[3.3.0,4.0.0)"
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolverError(AbstractBundle.java:1313)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolutionFailureException(AbstractBundle.java:1297)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:309)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:280)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:272)
at org.eclipse.equinox.internal.simpleconfigurator.ConfigApplie r.startBundles(Unknown Source)
at org.eclipse.equinox.internal.simpleconfigurator.ConfigApplie r.install(Unknown Source)
at org.eclipse.equinox.internal.simpleconfigurator.SimpleConfig uratorImpl.applyConfiguration(Unknown Source)
at org.eclipse.equinox.internal.simpleconfigurator.SimpleConfig uratorImpl.applyConfiguration(Unknown Source)
at org.eclipse.equinox.internal.simpleconfigurator.Activator.st art(Unknown Source)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1 .run(BundleContextImpl.java:783)
at java.security.AccessController.doPrivileged(Native Method)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tartActivator(BundleContextImpl.java:774)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tart(BundleContextImpl.java:755)
at org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:352)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:370)
at org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1068)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:557)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:464)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:248)
at org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:445)
at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:227)
at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:337)

[1]+ Exit 13 /data/eclipse/wtp/pulse/pulse/Profiles/Eclipse\ 3.5\ Classic/eclipse
Re: On latest updates [message #498467 is a reply to message #498297] Tue, 17 November 2009 06:57 Go to previous message
Arvind  is currently offline Arvind Friend
Messages: 2
Registered: November 2009
Junior Member
Any one find any problem please tell me, Still now i cant able to find the solution
Previous Topic:Best practice for avoiding/handling out of sync resource
Next Topic:Permanent Disabling of the compiler
Goto Forum:
  


Current Time: Wed Dec 17 23:20:37 GMT 2014

Powered by FUDForum. Page generated in 0.02039 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software